### Method

# Atspi Collection get_matches_from

#### Declaration [src]

    GArray*
    atspi_collection_get_matches_from (
      AtspiCollection* collection,
      AtspiAccessible* current_object,
      AtspiMatchRule* rule,
      AtspiCollectionSortOrder sortby,
      AtspiCollectionTreeTraversalType tree,
      gint count,
      gboolean traverse,
      GError** error
    )

#### Description [src]

Gets all `AtspiAccessible` objects from the `collection`, before `current_object`, matching a given `rule`.

#### Parameters

`current_object`

  Type: `AtspiAccessible`

  Upon reaching this object, searching should stop.

  The data is owned by the caller of the method.

`rule`

  Type: `AtspiMatchRule`

  An `AtspiMatchRule` describing the match criteria.

  The data is owned by the caller of the method.

`sortby`

  Type: `AtspiCollectionSortOrder`

  An `AtspiCollectionSortOrder` specifying the way the results are to be sorted.

`tree`

  Type: `AtspiCollectionTreeTraversalType`

  An `AtspiCollectionTreeTraversalType` specifying restrictions on the objects to be traversed.

`count`

  Type: `gint`

  The maximum number of results to return, or 0 for no limit.

`traverse`

  Type: `gboolean`

  Not supported.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `AtspiAccessible*`

All `AtspiAccessible` objects matching the given match rule that preceed `current_object`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.